cURL
curl --request GET \ --url https://statsigapi.net/console/v1/gates/{id}/rules/{ruleID}/pulse_load_history \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "<string>", "data": [ { "createdTime": 123, "startDs": "<string>", "endDs": "<string>", "reloadType": "incremental", "turboMode": true, "creatorName": "<string>", "finishedTime": 123, "finishedState": "success" } ], "pagination": { "itemsPerPage": 123, "pageNumber": 123, "nextPage": "<string>", "previousPage": "<string>", "totalItems": 123, "all": "<string>" } }
Optional header to respect review settings for mutation endpoints.
Gate ID
Rule ID
Results per page
10
Page number
1
List Pulse Load History
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
incremental
full
metric
success
failure
partial_failure
cancelled
timeout
Pagination metadata for checking if there is next page for example.
Was this page helpful?